Bug 1921911 - Installer PR #4589 is causing leak of IAM role policy bindings
Summary: Installer PR #4589 is causing leak of IAM role policy bindings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.7.0
Assignee: Patrick Dillon
QA Contact: To Hung Sze
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 20:22 UTC by Patrick Dillon
Modified: 2021-02-24 15:57 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4600 0 None closed Bug 1921911: Revert "Merge pull request #4589 from patrickdillon/bz-1896218-gcp-se… 2021-02-03 18:12:18 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:30 UTC

Description Patrick Dillon 2021-01-28 20:22:03 UTC
Error setting IAM policy for project "openshift-gce-devel-ci": googleapi: Error 400: The number of members in the policy (1,501) is larger than the maximum allowed size 1,500., badRequest

caused by https://github.com/openshift/installer/pull/4589/files

There is a PR open to revert.

The above code is only looking at email addresses so is missing some service accounts where the email addresses do not begin with infra id. We can detect those via the names, which do start with infra id. Will follow up with subsequent PR.

Comment 2 To Hung Sze 2021-02-01 23:41:59 UTC
Closing as this is to revert a previous change.

Comment 5 errata-xmlrpc 2021-02-24 15:57:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.